/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package MatlResMgmt.MaterialResource;

import java.math.BigDecimal;
import java.util.Vector;

/** 
 * @author TogetherSoft
 * @stereotype description */
public class MatlResDesc {
    /**  */
    public int calcQtyRequested() {
        return 0;
    }

    public int calcQtyRFQd() {
        return 0;
    }

    public int calcQtyOrdered() {
        return 0;
    }

    public int calcQtyDelivered() {
        return 0;
    }

    public int assessDemand() {
        return 0;
    }

    public Vector listSuppliers() {
        return new Vector();
    }

    public Vector listSubMatlResources() {
        return new Vector();
    }

    public static Vector listMaterialResourceDescs() {
        return new Vector();
    }

    private int type;
    private String name;
    private String itemNumber;
    private String description;
    private int size;
    private int sizeUnitOfMeasure;
    private BigDecimal cost;

    /**
     *@shapeType AggregationLink
     * @supplierCardinality 0..*
     * @clientCardinality 0..1
     * @clientRole larger
     * @supplierRole smaller
     */
    private MatlResDesc lnkUnnamed;
    private int satisfactionRating;
    private int standardWarrantyPeriod;

    /**
     * @clientCardinality 1
     * @supplierCardinality 0..*
     */
    private MatlResUseDesc lnkUnnamed3;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     */
    private MatlResTestDesc lnkUnnamed4;

    /**
     * @supplierCardinality 0..1
     * @clientCardinality 1
     */
    private MatlResOrderDesc lnkUnnamed5;

    /**
     * @clientCardinality 1
     * @supplierCardinality 0..1
     */
    private MatlResProductionDesc lnkUnnamed7;
    private String dimensions;
    private int weight;
    private int recipe;
    private int packingInstructions;

    /**
     * @supplierCardinality 0..1
     * @clientCardinality 1
     */
    private ProductSaleMgmt.Product.ProductDesc lnkUnnamed8;

    /**
     * @supplierCardinality 0..1
     * @clientCardinality 1
     */
    private MatlResQtyDesc lnkUnnamed6;
}


